Name:		uddi4j
Version:	2.0.5
Release:	4%{?dist}
Summary:	Universal Description, Discovery and Integration registry API for Java
Group:		Development/Libraries
License:	IBM
URL:		http://sourceforge.net/projects/uddi4j/

Source0:	http://downloads.sf.net/project/uddi4j/uddi4j/%{version}/uddi4j-src-%{version}.zip
Source1:	%{name}-MANIFEST.MF
Source2:	http://repo1.maven.org/maven2/org/uddi4j/uddi4j/%{version}/uddi4j-%{version}.pom

# Set javac path in build.xml
Patch0:		uddi4j-set-javac-path.patch

# A couple of utf8 incompatible chars prevent compile
Patch1:		uddi4j-remove-nonutf8-chars.patch

BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	axis
BuildRequires:	xerces-j2
BuildRequires:	java-devel
BuildRequires:	jpackage-utils

Requires:	java
Requires:	axis
Requires:	xerces-j2
Requires:	jpackage-utils

%description
UDDI4J is a Java class library that provides an API to interact with a 
UDDI (Universal Description, Discovery and Integration) registry.

%package javadoc
Summary:	Javadocs for %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

ln -s %{_datadir}/java/axis/saaj.jar
ln -s %{_datadir}/java/axis/axis.jar
ln -s %{_datadir}/java/axis/jaxrpc.jar
ln -s %{_datadir}/java/xerces-j2.jar xerces.jar

%build
ant compile javadocs

%install
# inject OSGi manifests
mkdir -p META-INF
cp -p %{SOURCE1} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -u build/lib/%{name}.jar META-INF/MANIFEST.MF

install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POMs
install -d -m 0755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc README
%doc LICENSE.html
%doc BuildDate.txt
%doc ReleaseNotes.html
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc README
%doc LICENSE.html
%{_javadocdir}/%{name}

%changelog
* Fri Jun 01 2012 Gerard Ryan <galileo@fedoraproject.org> - 2.0.5-4
- Remove Bundle-Classpath from MANIFEST.MF
- Update Source0 URL so it's not just relying on one mirror

* Tue May 29 2012 Gerard Ryan <galileo@fedoraproject.org> - 2.0.5-3
- Add line to copy javadocs

* Tue May 29 2012 Gerard Ryan <galileo@fedoraproject.org> - 2.0.5-2
- Fix rpmlint issues: source urls; tabs and space warnings
- Remove BuildDate.txt and ReleaseNotes.html from javadoc
- Drop -version from javadoc install path
- Change group to Development/Libraries
- Remove defattr(-,root,root,-)
- Remove rm -rf RPM_BUILD_ROOT

* Mon May 28 2012 Gerard Ryan <galileo@fedoraproject.org> - 2.0.5-1
- Initial packaging
